zenilib: Zeni::Zeni_Input_ID Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Zeni_Input_ID Struct Reference

`#include <Gamestate_II.h>`

## Public Member Functions

| Zeni_Input_ID (const Uint16 &type_=SDL_KEYDOWN, const int &subid_=0, const int &which_=0)
bool | operator< (const Zeni_Input_ID &rhs) const

## Public Attributes

float | previous_confidence
int | subid
| event.keysym.sym, event.button, event.axis, mouse axis (x==0, y==1) More...
Uint16 | type
| directly copied from SDL_Event; UP types are converted to DOWN types More...
int | which
| Joystick Identifier; ignored for other events (should be 0) More...

## Detailed Description

Definition at line 45 of file Gamestate_II.h.

## Constructor & Destructor Documentation

Zeni::Zeni_Input_ID::Zeni_Input_ID | ( | const Uint16 & | type_ = `SDL_KEYDOWN`,
|  | const int & | subid_ = `0`,
|  | const int & | which_ = `0`
| ) |  |

Definition at line 33 of file Gamestate_II.cpp.

## Member Function Documentation

bool Zeni::Zeni_Input_ID::operator< | ( | const Zeni_Input_ID & | rhs | ) | const

Definition at line 42 of file Gamestate_II.cpp.

References subid, type, and which.

## Member Data Documentation

float Zeni::Zeni_Input_ID::previous_confidence

mutable

Definition at line 53 of file Gamestate_II.h.

int Zeni::Zeni_Input_ID::subid

event.keysym.sym, event.button, event.axis, mouse axis (x==0, y==1)

Definition at line 51 of file Gamestate_II.h.

Referenced by operator<().

Uint16 Zeni::Zeni_Input_ID::type

directly copied from SDL_Event; UP types are converted to DOWN types

Definition at line 50 of file Gamestate_II.h.

Referenced by operator<().

int Zeni::Zeni_Input_ID::which

Joystick Identifier; ignored for other events (should be 0)

Definition at line 52 of file Gamestate_II.h.

Referenced by operator<().

The documentation for this struct was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Gamestate_II.h
- zenilib/jni/external/zenilib/zeni_rest/Gamestate_II.cpp